package cn.fateverse.workflow.enums;

/**
 * 表单类型枚举
 *
 * @author Clay
 * @date 2022/12/25
 */
public enum FormItemEnum {

    /**
     * 控件枚举
     */
    SpanLayout("SpanLayout", "分栏布局"),
    TextInput("TextInput", "单行文本输入"),
    TextareaInput("TextareaInput", "多行文本输入"),
    NumberInput("NumberInput", "数字输入框"),
    AmountInput("AmountInput", "金额输入框"),
    SelectInput("SelectInput", "单选框"),
    MultipleSelect("MultipleSelect", "多选框"),
    DateTime("DateTime", "日期时间点"),
    DateTimeRange("DateTimeRange", "日期时间区间"),
    ImageUpload("SpanLayout", "ImageUpload"),
    FileUpload("FileUpload", "上传附件"),
    UserPicker("UserPicker", "人员选择"),
    DeptPicker("DeptPicker", "部门选择"),
    Description("Description", "说明文字"),
    TableList("TableList", "明细表"),
    ;


    private final String name;
    private final String title;


    FormItemEnum(String name, String title) {
        this.name = name;
        this.title = title;
    }

    public String getName() {
        return name;
    }

    public String getTitle() {
        return title;
    }
}
